CassandraDaemon (apache-cassandra API)
Date: 2012-05-04

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.thrift
Class CassandraDaemon

    java.lang.Object
      org.apache.cassandra.service.AbstractCassandraDaemon
          org.apache.cassandra.thrift.CassandraDaemon

All Implemented Interfaces:
  CassandraDaemon

    public class CassandraDaemon

extends AbstractCassandraDaemon

This class supports two methods for creating a Cassandra node daemon, invoking the class's main method, and using the jsvc wrapper from commons-daemon, (for more information on using this class with the jsvc wrapper, see the Commons Daemon documentation).

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.cassandra.service.AbstractCassandraDaemon
`AbstractCassandraDaemon.CleaningThreadPool`

Field Summary
`protected static CassandraDaemon` | `instance`
`static java.util.List<java.lang.String>` | `rpc_server_types`

Fields inherited from class org.apache.cassandra.service.AbstractCassandraDaemon
`isRunning, listenAddr, listenPort`

Constructor Summary
`CassandraDaemon()`

Method Summary
`static void` | `main(java.lang.String[] args)`
`protected void` | `startServer()` Start the underlying RPC server.
`static void` | `stop(java.lang.String[] args)`
`protected void` | `stopServer()` Stop the underlying RPC server.

Methods inherited from class org.apache.cassandra.service.AbstractCassandraDaemon
`activate, deactivate, destroy, init, initLog4j, isRPCServerRunning, setup, start, startRPCServer, stop, stopRPCServer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### instance

    protected static CassandraDaemon instance

### rpc_server_types

    public static final java.util.List<java.lang.String> rpc_server_types

Constructor Detail

### CassandraDaemon

    public CassandraDaemon()

Method Detail

### startServer

    protected void startServer()

  Description copied from class: `AbstractCassandraDaemon`
  Start the underlying RPC server. This method shoud be able to restart a server stopped through stopServer(). Should throw a RuntimeException if the server cannot be started

  Specified by:
    `startServer` in class `AbstractCassandraDaemon`

### stopServer

    protected void stopServer()

  Description copied from class: `AbstractCassandraDaemon`
  Stop the underlying RPC server. This method should be able to stop server started through startServer(). Should throw a RuntimeException if the server cannot be stopped

  Specified by:
    `stopServer` in class `AbstractCassandraDaemon`

### stop

    public static void stop(java.lang.String[] args)

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 The Apache Software Foundation